<template>
  <div>
    <h2>Switch</h2>
    <br-switch
      label="Com ícone, tamanho pequeno e rótulos"
      label-checked="SUCESSO"
      label-not-checked="ERRO"
      size="small"
      icon
    ></br-switch>
    <br />
    <br-switch label="Com ícone, tamanho grande e rótulos" label-checked="ON" label-not-checked="OFF" size="large" icon>
    </br-switch>
    <br />
    <br-switch id="switch-default" label="Padrão"> </br-switch>
    <br />
    <br-switch id="switch-label-slot">Este label foi passado como slot</br-switch>
    <br />
    <br-switch id="switch-small" label="Tamanho pequeno" size="small"></br-switch>
    <br />
    <br-switch id="switch-large" label="Tamanho grande" size="large"></br-switch>
    <br />
    <br-switch id="switch-disabled" label="Desabilitado" disabled></br-switch>
    <br />
    <br-switch id="switch-icon" label="Com ícone" icon></br-switch>
    <br />
    <br-switch id="switch-labels" label="Com rótulos" label-checked="pgado" label-not-checked="Despgado"> </br-switch>
    <br />
    <br-switch
      id="switch-all-default"
      label="Com ícone, tamanho padrão e rótulos"
      label-checked="SIM"
      label-not-checked="NÃO"
      icon
    ></br-switch>
    <br />
    <br-switch
      id="switch-all-small"
      label="Com ícone, tamanho pequeno e rótulos"
      label-checked="SUCESSO"
      label-not-checked="ERRO"
      size="small"
      icon
    >
    </br-switch>
    <br />
    <br-switch
      id="switch-all-large"
      label="Com ícone, tamanho grande e rótulos"
      label-checked="ON"
      label-not-checked="OFF"
      size="large"
      icon
    ></br-switch>
    <br />
    <br />
    <br-switch label="Label top" top size="small" icon></br-switch>
    <br />
    <br />
    <br-switch label="Label right" right density="small" icon></br-switch>
    <br />
  </div>
</template>
